# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/app-misc/tgif/tgif-4.1.42.ebuild,v 0.1 atzm Exp $

DESCRIPTION="X11 based 2-D drawing tool"
SRC_URI="ftp://bourbon.usc.edu/pub/tgif/free-of-charge/${P}.tar.gz"
HOMEPAGE="http://bourbon.usc.edu:8001/tgif/"
LICENSE="tgif"
SLOT="0"

DEPEND="virtual/x11"

KEYWORDS="x86 ~alpha ~sparc ~sparc64 ~ppc"

S="${WORKDIR}/${P}"

src_unpack(){
	unpack ${A}
	cd ${S}
	mv Tgif.tmpl Tgif.tmpl.orig
	sed \
		-e "s:\(MOREDEFINES[[:space:]]\+=\):\1 -D_NO_CINPUT -D_NO_XCIN -DUSE_XT_INITIALIZE -DA4PAPER -DENABLE_NLS:" \
		-e "s:XCOMM[[:space:]]\(LOCAL_LIBRARIES\):\1:" \
		-e "s:\(LOCAL_LIBRARIES[[:space:]]=[[:space:]]\$(XLIB)\):XCOMM \1:" \
		Tgif.tmpl.orig > Tgif.tmpl
}

src_compile(){
	xmkmf -a || die
	emake    || die

	if [ "`use nls`" ]
	then
		cd ${S}/po
		xmkmf -a || die
		emake    || die
	fi
}

src_install(){
	emake DESTDIR="${D}" install install.man || die
	dodoc Copyright HISTORY README* License

	dodir /usr/X11R6/lib/X11/app-defaults
	insinto /usr/X11R6/lib/X11/app-defaults
	doins ${FILESDIR}/Tgif

	if [ "`use nls`" ]
	then
		cd ${S}/po
		emake DESTDIR="${D}" install install.man || die
		docinto po
		dodoc HISTORY README
	fi
}
